## python-fudge 1.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

# this is the best I can think of 
# for making it obvious to the user 
# that he forgot to set some environ vars
FD_PROJECTS_HOST ?= FD_PROJECTS_HOST
FD_PROJECTS_PATH_TARGET ?= FD_PROJECTS_PATH_TARGET

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

docslive:
	cd _build/; cp -R html current && tar -czf current.tar.gz current
	scp _build/current.tar.gz $(FD_PROJECTS_HOST):$(FD_PROJECTS_PATH_TARGET)/fudge/ && \
	    ssh $(FD_PROJECTS_HOST) "cd $(FD_PROJECTS_PATH_TARGET)/fudge && rm -fr current && tar -xzf current.tar.gz && rm current.tar.gz" && \
	    rm -fr _build/current.tar.gz && \
	    rm -fr _build/current
	@echo "Docs sent to $(FD_PROJECTS_HOST):$(FD_PROJECTS_PATH_TARGET)/fudge/"

doctest:
	mkdir -p _build/html _build/doctrees
	PYTHONPATH=../:./_doctest_support $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/html

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## python-fudge 1.0.3

=== debian/changelog ===
python-fudge (1.0.3-3) unstable; urgency=low

  * Fix "missing dependency on python3!!" by using correct variable in
    debian/control (Closes: #674405)
  * fix Vcs-Svn and Vcs-Browser URLs in debian/control

 -- Jan Dittberner <jandd@debian.org>  Thu, 24 May 2012 15:21:51 +0200

python-fudge (1.0.3-2) unstable; urgency=low

  * Fix "FTBFS if built twice in a row: aborting due to unexpected
    upstream changes" by removing fudge.egg-info in debian/rules
    override_auto_clean target (Closes: #671421)

 -- Jan Dittberner <jandd@debian.org>  Fri, 04 May 2012 21:14:07 +0200

python-fudge (1.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #643566)

 -- Jan Dittberner <jandd@debian.org>  Sun, 04 Mar 2012 21:13:38 +0100

=== debian/control ===
Source: python-fudge
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 8~), python (>= 2.6.5~), python3 (>=
 3.1.3-2~), python-setuptools, python3-setuptools, python-nose,
 python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.3
Homepage: http://farmdev.com/projects/fudge/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-fudge/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-fudge/trunk/

Package: python-fudge
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Recommends: python-fudge-doc (=${binary:Version})
Description: Python module for using fake objects to test real ones
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.

Package: python-fudge-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-sphinxdoc
Description: Python module for using fake objects for tests, Python3 package
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the documentation of python-fudge.

Package: python3-fudge
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Recommends: python-fudge-doc (=${binary:Version})
Description: Python module for using fake objects for tests, documentation package
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the Python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	rm -rf build fudge.egg-info
	find -name '._*' -delete
	dh_auto_clean

override_dh_auto_install:
	sphinx-build -b html -a -c docs docs \
		$(CURDIR)/debian/python-fudge-doc/usr/share/doc/python-fudge-doc/html
	python setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/python-fudge
	python3 setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python3-fudge

override_dh_python2:
	dh_python2 -ppython-fudge

override_dh_python3:
	dh_python3 -ppython3-fudge

override_dh_sphinxdoc:
	dh_sphinxdoc -ppython-fudge-doc

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
		set -e -x; \
		PYTHONPATH=$(CURDIR)/build/lib.* python setup.py nosetests
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/fudge/ fudge-(.*)\.tar\.gz

## python-fudge 1.1.0

=== debian/changelog ===
python-fudge (1.1.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * Use PyPI redirector for watch file
  * fix package description mismatch in debian/control
  * Apply patch by Juan Picca to have fixed timestamps to make the build
    reproducible (Closes: #788501)
  * Bump Standards-Version to 3.9.6 (no changes)
  * Run wrap-and-sort
  * Switch to dh-python/pybuild
  * Update copyright years
  * Build documentation in dh_auto_build step
  * New upstream version
  * Remove deletion of MacOS X files from dh_override_auto_clean,
    because upstream removed them
  * Re-Enable Python 3 tests

 -- Jan Dittberner <jandd@debian.org>  Wed, 30 Dec 2015 16:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,27 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 8~), python (>= 2.6.5~), python3 (>=
- 3.1.3-2~), python-setuptools, python3-setuptools, python-nose,
- python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-nose,
+               python-setuptools,
+               python-sphinx | python3-sphinx,
+               python3-all,
+               python3-nose,
+               python3-setuptools
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.4
 Homepage: http://farmdev.com/projects/fudge/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-fudge/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-fudge/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-fudge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fudge.git
 
 Package: python-fudge
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
+Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
 Recommends: python-fudge-doc (=${binary:Version})
-Description: Python module for using fake objects to test real ones
+Description: Python 2 module for using fake objects for tests
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -33,12 +41,14 @@
  as strict about expectations as you want it to be. If the type of
  arguments sent to the fake method aren’t important then you don’t
  have to declare an expectation for them.
+ .
+ This is the Python 2 version of the package.
 
 Package: python-fudge-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-sphinxdoc
-Description: Python module for using fake objects for tests, Python3 package
+Depends: libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python module for using fake objects for tests, documentation package
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -61,9 +71,9 @@
 
 Package: python3-fudge
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
 Recommends: python-fudge-doc (=${binary:Version})
-Description: Python module for using fake objects for tests, documentation package
+Description: Python 3 module for using fake objects for tests
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -82,4 +92,4 @@
  arguments sent to the fake method aren’t important then you don’t
  have to declare an expectation for them.
  .
- This is the Python3 version of the package.
+ This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=fudge
#export PYBUILD_DISABLE_python3=test

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/.build

override_dh_auto_build:
	sphinx-build $(SPHINXOPTS) -b html -a -c docs docs \
		$(CURDIR)/docs/.build/html
	dh_auto_build

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/fudge/fudge-(.+)\.tar\.gz

## python-fudge 1.1.1

=== debian/changelog ===
python-fudge (1.1.1-3) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-raw-string-literal-for-version-concatination.patch
    setup.py-Use-raw-string-literal-for-version-concatination.patch
  * d/control: Drop bin dep on python3-pkg-resources
    (Closes: #1083641)
  * d/control: Remove Rules-Requires-Root
  * d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * d/control: Update Homepage field
  * d/copyright: Adjust upstream contact data
  * d/control: Small adjustments to pkg short descriptions
  * d/watch: Convert into version 5
  * d/control: Use dh-sequence-sphinxdoc
  * d/rules: Drop not needed SPHINXOPTS arguments
  * d/rules: Simplyfy to use just PYBUILD_DISABLE
  * d/rules: Also remove .mypy_cache while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Jan 2026 14:38:57 +0200

python-fudge (1.1.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Drop the build depending package python3-nose
    (Closes: #1018499)
  * d/rules: Don't run upstream test for now
    Upstream hasn't updated the source for years and the nose based
    testing would be needed to get moved over to unittests.
    Unfortunately that takes some effort, OTOH there isn't much breakage to be
    expected.
  * d/{control,rules}: Switch to dh-sequence-python3
  * python-fudge-doc: Use dh_sphinxdoc sequencer
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 10:12:38 +0200

python-fudge (1.1.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-fudge-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Carsten Schoenert ]
  * d/gbp.conf: Adding helper file for git-buildpackage
  * New upstream version 1.1.1
  * Add a patch queue from a patchqueue branch
    Added patches:
    Porting-existing-code-over-to-Python3-by-using-2to3.patch
    Remove-version-check-in-setup.py.patch
    (Closes: #997607)
  * d/control: Update Homepage field to new URL
  * d/watch: Mark watch file as version 4
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Running wrap-and-sort -ast
  * d/control: Adding entry Rules-Requires-Root: no
    This package needs no root rights while building.
  * d/rules: Using SOURCE_DATE_EPOCH to build timestamp
  * d/copyright: Small update to the project data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Nov 2021 11:22:50 +0100

python-fudge (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937768).

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 15:18:46 +0100

=== debian/control ===
Source: python-fudge
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.3
Homepage: https://github.com/fudge-py/fudge/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fudge.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fudge

Package: python-fudge-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python module for using fake objects for tests (Documentation)
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the documentation of python-fudge.

Package: python3-fudge
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-fudge-doc (=${binary:Version}),
Description: Python module for using fake objects for tests
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=fudge
export PYBUILD_DISABLE=test

SPHINXOPTS := -N -E

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.mypy_cache
	rm -rf $(CURDIR)/docs/.build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-fudge-doc/usr/share/doc/python-fudge-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/fudge/
Matching-Pattern: fudge-(.+)\.tar\.gz
